package w5.ex1.frequencytable1.sol;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class FrequencyTable1 {

	public static void main(String[] args) {
		Map<String, IncrementableInteger> lookupTable = new HashMap<String, IncrementableInteger>();

		for (String str : args) {
			IncrementableInteger freq = lookupTable.get(str);

			if (freq == null) {
				lookupTable.put(str, new IncrementableInteger(1));
			} else {
				freq.increment();
			}

		}

		Set<Map.Entry<String, IncrementableInteger>> set = lookupTable
				.entrySet();
		System.out.println("\nFrequency table:");

		for (Map.Entry<String, IncrementableInteger> e : set) {
			System.out.println(e.getKey() + ": " + e.getValue());
		}
	}
}
