package w5.ex1.exclusiveunion.sol;

import java.util.Set;
import java.util.TreeSet;

public class ExclusiveUnion {
	public static <T> Set<T> exclusiveUnion(Set<T> s1, Set<T> s2) {
		TreeSet<T> t1 = new TreeSet<T>(s1);
		TreeSet<T> t2 = new TreeSet<T>(s2);
		t1.removeAll(s2);
		t2.removeAll(s1);
		t1.addAll(t2);
		
		return t1;
	}
}
