package w5.ex1.frequencytable2.sol;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class FrequencyTable2 {

	public static void main(String[] args) {
		Map<String, Integer> lookupTable = new HashMap<String, Integer>();

		for (String str : args) {
			// Obs! a call to
			// int freq = lookupTable.get(str);
			// will generate a NullPointerException
			// if str is not in the map due to conversion
			// from null to int.
			Integer freq = lookupTable.get(str);
			lookupTable.put(str, freq != null ? ++freq : 1);
		}

		Set<Map.Entry<String, Integer>> set = lookupTable.entrySet();
		System.out.println("\nFrequency table:");

		for (Map.Entry<String, Integer> e : set) {
			System.out.println(e.getKey() + ": " + e.getValue());
		}
	}
}
