package w5.ex2.vehicles.ex;

import java.util.Collection;
import java.util.HashSet;

class Bicycle {
	public String toString() {
		return "Two wheeled bike";
	}
}

class Car {
	public String toString() {
		return "An ordinary car";
	}

	public double getCO2EmissionLevel() {
		return 0.1;
	}
}

class RaceCar extends Car {
	public String toString() {
		return "Ferrarati 7.4";
	}

	public double getCO2EmissionLevel() {
		return 5.1;
	}
}

public class Vehicles {
	public static void main(String[] args) {
		Collection vehicles = new HashSet();
		vehicles.add(new Bicycle());
		vehicles.add(new Car());
		vehicles.add(new RaceCar());
		for (Object obj : vehicles) {
			Car c = (Car) obj;
			System.out.println(c.toString() + " emits "
					+ c.getCO2EmissionLevel()
					+ " g CO2 / km");
		}
	}
}
