package w5.ex3.singleton.ex;

class GameTile {
	// dummy implementation to remove compile errors in this file
}

public class GameUtils {
	public static GameTile[][] newBoard(final int width, final int height,
			final GameTile baseTile) {
		GameTile[][] board = new GameTile[width][height];
		fillBoard(board, baseTile);

		return board;
	}

	public static void fillBoard(final GameTile[][] board,
			final GameTile baseTile) {
		for (int i = 0; i < board.length; i++) {
			for (int j = 0; j < board[i].length; j++) {
				board[i][j] = baseTile;
			}
		}
	}
}